Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_FolderPathRelationship

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_SystemObject
                  oracle.ifs.server.S_TieSystemObject
                      oracle.ifs.server.S_Relationship
                          oracle.ifs.server.S_TieRelationship
                              oracle.ifs.server.S_FolderRelationship
                                  oracle.ifs.server.S_TieFolderRelationship
                                      oracle.ifs.server.S_FolderPathRelationship

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  S_TieFolderPathRelationship

    public class S_FolderPathRelationship

extends S_TieFolderRelationship

Server side representation of the FOLDERPATHRELATIONSHIP class.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` the classname of this serverside object: FOLDERPATHRELATIONSHIP
`static char[]` | `s_IllegalCharacterSet` The char[] of illegal characters for object names

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_FolderPathRelationship(S_LibrarySession session, java.lang.Long classId)` Construct a S_FolderPathRelationship object.
`protected` | `S_FolderPathRelationship(S_LibrarySession session, S_LibraryObjectData data)` Construct a S_FolderPathRelationship object.

Method Summary
`protected void` | `associatedPostFree(OperationState opState, S_LibraryObjectDefinition def)` an extensibility point for post free actions on associated objects.
`protected void` | `associatedPostInsert(OperationState opState, S_LibraryObjectDefinition def)` an extensibility point for post insert actions on associated objects.
`protected void` | `associatedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` an extensibility point for pre insert actions on associated objects.
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Add to the S_LibraryObjectDefinition for this class.
`java.io.Serializable` | `DYNAddToFolderIndex(java.io.Serializable payload)` Add this parent/child relationship to the folder index
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Operations to be preformed before creating an instance of S_FolderPathRelationship.
`protected void` | `extendedPreRemoveRelationship(OperationState opState, S_PublicObject rightpo, S_LibraryObjectDefinition def)` an extensibility point before a relationship is removed.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Operations to be preformed before updating an instance of S_FolderRelationship.
`protected void` | `insertRows(S_LibraryObjectDefinition def)` Update the rows from each table for this instance.
`protected static boolean` | `nameHasIllegalCharacters(java.lang.String name)` Check to see if an object name is legal.
`protected void` | `updateRows(S_LibraryObjectDefinition def)` Update the rows from each table for this instance.

Methods inherited from class oracle.ifs.server.S_FolderRelationship
`extendedPostAddRelationship, extendedPostRemoveRelationship, extendedPreAddRelationship, handleCascade`

Methods inherited from class oracle.ifs.server.S_Relationship
`cascadeDeleteToLeftObject, cascadeDeleteToRightObject, cascadeFree, cascadeFreeToLeftObject, cascadeFreeToRightObject, cascadeUndeleteToLeftObject, cascadeUndeleteToRightObject, extendedPreFree, getLeftObject, getRightObject, vectorToSRelationshipArray`

Methods inherited from class oracle.ifs.server.S_SystemObject
`addCategory, createCategories, extendedPostInsert, extendedPostUpdate, getCategories, getCategories, getCategories, removeCategories, updateCategories, verifyCanCreate, verifyCanFree, verifyCanUpdate`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, cascadeCopy, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, extendedPostFree, extendedPreCopy, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getAuditEventFolderContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, hasNameAttribute, insertReferenceAttributes, insertRow, invalidateState, invokeOperation, invokePolicyMethod, isAuditCertificateSecured, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, verifyCanGetContent, verifyCanSetContent, verifyCanSetPolicy, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### s_IllegalCharacterSet

    public static final char[] s_IllegalCharacterSet

  Description copied from class: `S_FolderPathRelationship`
  The char[] of illegal characters for object names

  (Unpublished)

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `S_FolderPathRelationship`
  the classname of this serverside object: FOLDERPATHRELATIONSHIP

  See Also:
    Constant Field Values
  (Unpublished)

Constructor Detail

### S_FolderPathRelationship

    protected S_FolderPathRelationship(S_LibrarySession session,
                                       S_LibraryObjectData data)
                                throws IfsException

  Construct a S_FolderPathRelationship object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `data` - Data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### S_FolderPathRelationship

    protected S_FolderPathRelationship(S_LibrarySession session,
                                       java.lang.Long classId)
                                throws IfsException

  Construct a S_FolderPathRelationship object. This variant is used for objects taht have not been created in the database yet.

  Parameters:
    `session` - current LibrarySession
    `classId` - the class id
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_FolderPathRelationship`
  Operations to be preformed before creating an instance of S_FolderPathRelationship.

  Overrides:
    `extendedPreInsert` in class `S_FolderRelationship`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_FolderPathRelationship`
  Operations to be preformed before updating an instance of S_FolderRelationship. Update any system attributes appropriate for creating this object

  Overrides:
    `extendedPreUpdate` in class `S_SystemObject`
  Parameters:
    `opState` - the operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_FolderPathRelationship`
  Add to the S_LibraryObjectDefinition for this class. This this called by getDefinition() on S_LibraryObject. This must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_Relationship`
  Parameters:
    `def` - the S_LibraryObjectDefinition that contains the definition of the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### nameHasIllegalCharacters

    protected static boolean nameHasIllegalCharacters(java.lang.String name)

  Description copied from class: `S_FolderPathRelationship`
  Check to see if an object name is legal.

  Parameters:
    `name` - the object name to check
  Returns:
    boolean true if name is legal
  (Unpublished)

### insertRows

    protected void insertRows(S_LibraryObjectDefinition def)
                       throws IfsException

  Description copied from class: `S_FolderPathRelationship`
  Update the rows from each table for this instance. Wrap an unable to set attributes IfsException to a more Folder Friendly explanation of the what happened.

  Overrides:
    `insertRows` in class `S_LibraryObject`
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### updateRows

    protected void updateRows(S_LibraryObjectDefinition def)
                       throws IfsException

  Description copied from class: `S_FolderPathRelationship`
  Update the rows from each table for this instance.

  Overrides:
    `updateRows` in class `S_LibraryObject`
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### associatedPreInsert

    protected void associatedPreInsert(OperationState opState,
                                       S_LibraryObjectDefinition def)
                                throws IfsException

  Description copied from class: `S_FolderPathRelationship`
  an extensibility point for pre insert actions on associated objects. A relationship was created call the left object(a folder) extendedPreAddFolderItem method.

  Overrides:
    `associatedPreInsert` in class `S_FolderRelationship`
  Parameters:
    `opState` - the operation state
    `def` - the LibraryObjectDefinition that contains the settings for the new instance.
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Unpublished)

### associatedPostInsert

    protected void associatedPostInsert(OperationState opState,
                                        S_LibraryObjectDefinition def)
                                 throws IfsException

  Description copied from class: `S_FolderPathRelationship`
  an extensibility point for post insert actions on associated objects. A relationship was created call the left object(a folder) extendedPostAddItem method.

  Overrides:
    `associatedPostInsert` in class `S_FolderRelationship`
  Parameters:
    `opState` - the operation state
    `def` - the LibraryObjectDefinition that contains the settings for the new instance.
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Unpublished)

### associatedPostFree

    protected void associatedPostFree(OperationState opState,
                                      S_LibraryObjectDefinition def)
                               throws IfsException

  Description copied from class: `S_FolderPathRelationship`
  an extensibility point for post free actions on associated objects. A relationship was removed call the left object(a folder) extendedPostRemoveItem method..

  Overrides:
    `associatedPostFree` in class `S_FolderRelationship`
  Parameters:
    `opState` - the operation state
    `def` - the LibraryObjectDefinition for this operation
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Unpublished)

### extendedPreRemoveRelationship

    protected void extendedPreRemoveRelationship(OperationState opState,
                                                 S_PublicObject rightpo,
                                                 S_LibraryObjectDefinition def)
                                          throws IfsException

  Description copied from class: `S_FolderPathRelationship`
  an extensibility point before a relationship is removed.

  Overrides:
    `extendedPreRemoveRelationship` in class `S_FolderRelationship`
  Parameters:
    `opState` - the operation state
    `rightpo` - the item being removed from the folder
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Published)

### DYNAddToFolderIndex

    public java.io.Serializable DYNAddToFolderIndex(java.io.Serializable payload)
                                             throws IfsException

  Description copied from class: `S_FolderPathRelationship`
  Add this parent/child relationship to the folder index

  Parameters:
    `payload` - ignored
  Returns:
    null
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD